### Hierarchy

- Iframe

## Index

### Properties

- el
- fullscreen
- fullscreenClass
- fullscreenMargin
- height
- iframeLoaded
- src
- width
- zIndex

### Methods

- componentDidLoad
- componentDidUpdate
- onIframeLoaded
- postRender
- render

## Properties

### el

el: HTMLElement

- Defined in iframe/iframe.tsx:12

### fullscreen

fullscreen: boolean = false

- Defined in iframe/iframe.tsx:18

### fullscreenClass

fullscreenClass: string = "iframe-holder-fullscreen"

- Defined in iframe/iframe.tsx:10

### fullscreenMargin

fullscreenMargin: string = "0,0,0,0"

- Defined in iframe/iframe.tsx:19

### height

height: string = "420px"

- Defined in iframe/iframe.tsx:16

### iframeLoaded

iframeLoaded: EventEmitter

- Defined in iframe/iframe.tsx:21

### src

src: string

- Defined in iframe/iframe.tsx:14

### width

width: string = "100%"

- Defined in iframe/iframe.tsx:15

### zIndex

zIndex: number

- Defined in iframe/iframe.tsx:17

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in iframe/iframe.tsx:26

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in iframe/iframe.tsx:30

  #### Returns void

### onIframeLoaded

- onIframeLoaded(): void

- - Defined in iframe/iframe.tsx:22

  #### Returns void

### postRender

- postRender(): void

- - Defined in iframe/iframe.tsx:34

  #### Returns void

### render

- render(): Element

- - Defined in iframe/iframe.tsx:78

  #### Returns Element